package com.ag.log;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;

/**
 * 消息
 * @TableName remq_msg_custom
 */
@TableName(value ="remq_msg_custom")
public class RemqMsgCustom implements Serializable {
    /**
     * 
     */
    @TableId
    private String id;

    /**
     * 业务数据ID
     */
    private String businessKey;

    /**
     * 业务数据类型
     */
    private String businessType;

    /**
     * 业务功能URL
     */
    private String businessUrl;

    /**
     * 消息内容
     */
    private String msgInfo;

    /**
     * 已读未读标记 0未读1已读
     */
    private String receiveFlag;

    /**
     * 已读时间
     */
    private Date receiveTim;

    /**
     * 
     */
    private String createdBy;

    /**
     * 
     */
    private Date createdOn;

    /**
     * 
     */
    private String updatedBy;

    /**
     * 
     */
    private Date updatedOn;

    /**
     * 频道名称
     */
    private String chatName;

    /**
     * S发送 R接收
     */
    private String srFlag;

    /**
     * 接收用户ID
     */
    private String reUserId;

    /**
     * 
     */
    private String parentId;

    /**
     * 
     */
    private String msgId;

    /**
     * 指定接收人（用户名,用户名）
     */
    private String assignReceiveMan;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    public String getId() {
        return id;
    }

    /**
     * 
     */
    public void setId(String id) {
        this.id = id;
    }

    /**
     * 业务数据ID
     */
    public String getBusinessKey() {
        return businessKey;
    }

    /**
     * 业务数据ID
     */
    public void setBusinessKey(String businessKey) {
        this.businessKey = businessKey;
    }

    /**
     * 业务数据类型
     */
    public String getBusinessType() {
        return businessType;
    }

    /**
     * 业务数据类型
     */
    public void setBusinessType(String businessType) {
        this.businessType = businessType;
    }

    /**
     * 业务功能URL
     */
    public String getBusinessUrl() {
        return businessUrl;
    }

    /**
     * 业务功能URL
     */
    public void setBusinessUrl(String businessUrl) {
        this.businessUrl = businessUrl;
    }

    /**
     * 消息内容
     */
    public String getMsgInfo() {
        return msgInfo;
    }

    /**
     * 消息内容
     */
    public void setMsgInfo(String msgInfo) {
        this.msgInfo = msgInfo;
    }

    /**
     * 已读未读标记 0未读1已读
     */
    public String getReceiveFlag() {
        return receiveFlag;
    }

    /**
     * 已读未读标记 0未读1已读
     */
    public void setReceiveFlag(String receiveFlag) {
        this.receiveFlag = receiveFlag;
    }

    /**
     * 已读时间
     */
    public Date getReceiveTim() {
        return receiveTim;
    }

    /**
     * 已读时间
     */
    public void setReceiveTim(Date receiveTim) {
        this.receiveTim = receiveTim;
    }

    /**
     * 
     */
    public String getCreatedBy() {
        return createdBy;
    }

    /**
     * 
     */
    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    /**
     * 
     */
    public Date getCreatedOn() {
        return createdOn;
    }

    /**
     * 
     */
    public void setCreatedOn(Date createdOn) {
        this.createdOn = createdOn;
    }

    /**
     * 
     */
    public String getUpdatedBy() {
        return updatedBy;
    }

    /**
     * 
     */
    public void setUpdatedBy(String updatedBy) {
        this.updatedBy = updatedBy;
    }

    /**
     * 
     */
    public Date getUpdatedOn() {
        return updatedOn;
    }

    /**
     * 
     */
    public void setUpdatedOn(Date updatedOn) {
        this.updatedOn = updatedOn;
    }

    /**
     * 频道名称
     */
    public String getChatName() {
        return chatName;
    }

    /**
     * 频道名称
     */
    public void setChatName(String chatName) {
        this.chatName = chatName;
    }

    /**
     * S发送 R接收
     */
    public String getSrFlag() {
        return srFlag;
    }

    /**
     * S发送 R接收
     */
    public void setSrFlag(String srFlag) {
        this.srFlag = srFlag;
    }

    /**
     * 接收用户ID
     */
    public String getReUserId() {
        return reUserId;
    }

    /**
     * 接收用户ID
     */
    public void setReUserId(String reUserId) {
        this.reUserId = reUserId;
    }

    /**
     * 
     */
    public String getParentId() {
        return parentId;
    }

    /**
     * 
     */
    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    /**
     * 
     */
    public String getMsgId() {
        return msgId;
    }

    /**
     * 
     */
    public void setMsgId(String msgId) {
        this.msgId = msgId;
    }

    /**
     * 指定接收人（用户名,用户名）
     */
    public String getAssignReceiveMan() {
        return assignReceiveMan;
    }

    /**
     * 指定接收人（用户名,用户名）
     */
    public void setAssignReceiveMan(String assignReceiveMan) {
        this.assignReceiveMan = assignReceiveMan;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        RemqMsgCustom other = (RemqMsgCustom) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getBusinessKey() == null ? other.getBusinessKey() == null : this.getBusinessKey().equals(other.getBusinessKey()))
            && (this.getBusinessType() == null ? other.getBusinessType() == null : this.getBusinessType().equals(other.getBusinessType()))
            && (this.getBusinessUrl() == null ? other.getBusinessUrl() == null : this.getBusinessUrl().equals(other.getBusinessUrl()))
            && (this.getMsgInfo() == null ? other.getMsgInfo() == null : this.getMsgInfo().equals(other.getMsgInfo()))
            && (this.getReceiveFlag() == null ? other.getReceiveFlag() == null : this.getReceiveFlag().equals(other.getReceiveFlag()))
            && (this.getReceiveTim() == null ? other.getReceiveTim() == null : this.getReceiveTim().equals(other.getReceiveTim()))
            && (this.getCreatedBy() == null ? other.getCreatedBy() == null : this.getCreatedBy().equals(other.getCreatedBy()))
            && (this.getCreatedOn() == null ? other.getCreatedOn() == null : this.getCreatedOn().equals(other.getCreatedOn()))
            && (this.getUpdatedBy() == null ? other.getUpdatedBy() == null : this.getUpdatedBy().equals(other.getUpdatedBy()))
            && (this.getUpdatedOn() == null ? other.getUpdatedOn() == null : this.getUpdatedOn().equals(other.getUpdatedOn()))
            && (this.getChatName() == null ? other.getChatName() == null : this.getChatName().equals(other.getChatName()))
            && (this.getSrFlag() == null ? other.getSrFlag() == null : this.getSrFlag().equals(other.getSrFlag()))
            && (this.getReUserId() == null ? other.getReUserId() == null : this.getReUserId().equals(other.getReUserId()))
            && (this.getParentId() == null ? other.getParentId() == null : this.getParentId().equals(other.getParentId()))
            && (this.getMsgId() == null ? other.getMsgId() == null : this.getMsgId().equals(other.getMsgId()))
            && (this.getAssignReceiveMan() == null ? other.getAssignReceiveMan() == null : this.getAssignReceiveMan().equals(other.getAssignReceiveMan()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getBusinessKey() == null) ? 0 : getBusinessKey().hashCode());
        result = prime * result + ((getBusinessType() == null) ? 0 : getBusinessType().hashCode());
        result = prime * result + ((getBusinessUrl() == null) ? 0 : getBusinessUrl().hashCode());
        result = prime * result + ((getMsgInfo() == null) ? 0 : getMsgInfo().hashCode());
        result = prime * result + ((getReceiveFlag() == null) ? 0 : getReceiveFlag().hashCode());
        result = prime * result + ((getReceiveTim() == null) ? 0 : getReceiveTim().hashCode());
        result = prime * result + ((getCreatedBy() == null) ? 0 : getCreatedBy().hashCode());
        result = prime * result + ((getCreatedOn() == null) ? 0 : getCreatedOn().hashCode());
        result = prime * result + ((getUpdatedBy() == null) ? 0 : getUpdatedBy().hashCode());
        result = prime * result + ((getUpdatedOn() == null) ? 0 : getUpdatedOn().hashCode());
        result = prime * result + ((getChatName() == null) ? 0 : getChatName().hashCode());
        result = prime * result + ((getSrFlag() == null) ? 0 : getSrFlag().hashCode());
        result = prime * result + ((getReUserId() == null) ? 0 : getReUserId().hashCode());
        result = prime * result + ((getParentId() == null) ? 0 : getParentId().hashCode());
        result = prime * result + ((getMsgId() == null) ? 0 : getMsgId().hashCode());
        result = prime * result + ((getAssignReceiveMan() == null) ? 0 : getAssignReceiveMan().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", businessKey=").append(businessKey);
        sb.append(", businessType=").append(businessType);
        sb.append(", businessUrl=").append(businessUrl);
        sb.append(", msgInfo=").append(msgInfo);
        sb.append(", receiveFlag=").append(receiveFlag);
        sb.append(", receiveTim=").append(receiveTim);
        sb.append(", createdBy=").append(createdBy);
        sb.append(", createdOn=").append(createdOn);
        sb.append(", updatedBy=").append(updatedBy);
        sb.append(", updatedOn=").append(updatedOn);
        sb.append(", chatName=").append(chatName);
        sb.append(", srFlag=").append(srFlag);
        sb.append(", reUserId=").append(reUserId);
        sb.append(", parentId=").append(parentId);
        sb.append(", msgId=").append(msgId);
        sb.append(", assignReceiveMan=").append(assignReceiveMan);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}